
# Adds type field to existing review items.

def upgrade(db, ignore):
    """Complete this function with work to be done for the migration/update.

    db is the pymongo db instance for our datastore. Charms are in db.charms
    for instance.
    """
    r_queue = db.review_queue
    for entry in db.review_queue.find():
        if 'bugs.launchpad.net' in entry['item']:
            entry['type'] = 'task' 
        elif 'code.launchpad.net' in entry['item']:
            entry['type'] = 'proposal'
        else:
            raise Exception(
                'Unknown item type, unable to assign: %s' % entry['item'])
        r_queue.save(entry)
